
package de.ivu.elect.presentation.kandidatur;

import javax.inject.Inject;
import javax.inject.Named;

import org.apache.deltaspike.core.api.scope.ViewAccessScoped;

import de.ivu.elect.business.kandidatur.entity.Ersatzkandidatur;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.View;

@ViewAccessScoped
@View(viewId = ErsatzkandidaturPersonenregisterPersonendatenSelectionView.VIEW_ID, useCase = UseCasePermission.ERSATZKANDIDATUR_CREATE)
@Named(ErsatzkandidaturPersonenregisterPersonendatenSelectionView.COMPONENT_NAME)
public class ErsatzkandidaturPersonenregisterPersonendatenSelectionView extends AbstractKandidaturPersonenregisterPersonendatenSelectionView<Ersatzkandidatur> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "ersatzkandidaturPersonenregisterPersonendatenSelectionView";

  public static final String VIEW_ID = "/kandidatur/ersatzkandidatur-personenregister-personendaten-selection.xhtml";

  @Inject
  private transient ErsatzkandidaturCreateViewHelper ersatzkandidaturCreateViewHelper;

  public ErsatzkandidaturPersonenregisterPersonendatenSelectionView() {
    super();
  }

  @Override
  public String getViewId() {
    return VIEW_ID;
  }

  @Override
  protected ErsatzkandidaturCreateViewHelper getCreateViewHelper() {
    return ersatzkandidaturCreateViewHelper;
  }

  public String getUebergeordneteKandidaturName() {
    return getCreateViewHelper().getUebergeordneteKandidaturName();
  }
}
